
/**
 * Write a description of class InfoManager here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
import javax.swing.*;
public class InfoManager
{
    private  final int MAX_CUSTOMERS = 5;
    private  final int MAX_PRODUCTS = 3;
    
    private Customer [] _theCustomers; //an array of Customer (s)
    private Product _theProduct;   // an array of Product (s)
    
    private Customer selectedCustomer;
    // and so on
    
	public static void main(String [] args) {
	    InfoManager im = new InfoManager();
	    im.start();
	    
    }
    public InfoManager() {
        _theCustomers = new Customer[MAX_CUSTOMERS]; //instantiate the array
       
    }
    
    public void start() {
    do {
	        
	        processMainMenu();
	       
	    } while (true);
	}
	    
    
    private void processMainMenu() {
        int option = getMainMenuOption();
        
        switch (option) {
            case 1:
                processCustomerMenu();
                break;
            case 2:
                processProductMenu();
                break;
            case 3:
                //processAgentMenu();
                break;
            case 4:
                //processOrderMenu();
                break;
            case 5:
                JOptionPane.showMessageDialog(null, "Exiting System");
                System.exit(0);
            default:
                JOptionPane.showMessageDialog(null, "Select one of the above options");
                break;
        }
   }        
   private int getMainMenuOption() {
       String option = JOptionPane.showInputDialog(null, "Main Menu\n 1. Customer menu \n 5. Exit system");
       return Integer.parseInt(option);
   }
   private void processCustomerMenu() {
          int option = getCustomerMenuOption();
          
          switch ( option ) {
              case 1:
                 _theCustomers[Customer.getCustomerCount()] =  addCustomer();
                 break;
              case 2:
                 selectedCustomer = selectCustomer();
                 break;
              case 3:
                 JOptionPane.showMessageDialog(null, selectedCustomer.get_customerName()+" "+selectedCustomer.get_customerZipCode()); 
              case 4:
                 return; // to the previous menu
              
      }
   }
   private Customer selectCustomer() {
       //Show all customers;
       String s = "Select a customer\n";
       for(int i=0; i < _theCustomers.length ; i++) {
           if (_theCustomers[i] != null)
             s = s + (_theCustomers[i].get_customerId() + " " + _theCustomers[i].get_customerName()+ "\n");
       }
       
       String choice = JOptionPane.showInputDialog(null, s);
       int custId = Integer.parseInt(choice);
       
       return _theCustomers[custId];
   }
             
       
   private int getCustomerMenuOption() {
       String option = JOptionPane.showInputDialog(null, "Customer Menu\n 1. Add customer \n2. Select customer\n3. Show selected customer info\n4. Return to main menu");
       return Integer.parseInt(option);
   }
   
   private Customer addCustomer() {
       //Prompt user for customer related information
       //Create customer object using this information
       String cName = JOptionPane.showInputDialog(null, "Enter Customer Name: ");
       String cZip = JOptionPane.showInputDialog(null, "Enter Customer Zip: ");
       
       JOptionPane.showMessageDialog(null, "Creating customer "+cName+" in zip "+cZip);
       return new Customer(cName, cZip);
}
    private void processProductMenu() {
          int option = getProductMenuOption();
          
          switch ( option ) {
              case 1:
                 _theProduct =  addProduct();
                 break;
              case 4:
                 return; // to the previous menu
              
      }
   }
   
    private int getProductMenuOption() {
       String option = JOptionPane.showInputDialog(null, "Product Menu\n 1. Add product \n4. Return to main menu");
       return Integer.parseInt(option);
   }
   
   private Product addProduct() {
       //Prompt user for product related information
       //Create product object using this information
       String pName = JOptionPane.showInputDialog(null, "Enter product Name: ");
       String pPrice = JOptionPane.showInputDialog(null, "Enter product price: ");
       
       JOptionPane.showMessageDialog(null, "Creating customer "+pName+" in zip "+pPrice);
       return new Product(pName, Double.parseDouble(pPrice));
}
          
          
	       
	        
}
